function testing(value,x)
buttonhandle=uicontrol('Style','PushButton','String','Stop Loop','Callback','delete(gcbf)')    
while(1)
        calc_signal_ol(x)
        write_signal(value.Serial_Obj,calc_signal_ol(x))
        
        read_signal(value.Serial_Obj)
        if ~ishandle(buttonhandle)
            disp('Loop stopped');
            break;
        end
end
end
